package de.tu_dresden.diplom.richter_mirko_mat2628335.witness.process;

import org.apache.log4j.Logger;
import junit.framework.TestCase;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.handler.data.IFHandlingInfo;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.handler.data.HandlingInfo;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.handler.data.IFSignatureHandlingInfo;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.context.*;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.context.comm.IFContextCreationResponse;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.Constants;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.account.AccountIdentification;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.entity.IFEntity;
import de.tu_dresden.diplom.richter_mirko_mat2628335.witness.entity.EntityManagerFactory;
import de.tu_dresden.diplom.richter_mirko_mat2628335.witness.DTWitness;

/**
 * 
 */
public class UTContextCreationProcess extends TestCase {

   private static final Logger logger = Logger.getLogger(UTContextCreationProcess.class);

   protected void setUp() throws Exception {
   }

   protected void tearDown() throws Exception {
   }

   public void testContextCreation() {
      ContextCreationProcess ctxCreateProc1 = DTProcess.getSucceedingContextCreationProcess4Client();
      ctxCreateProc1.perform();
      IFContextCreationResponse ctxCreateResp = ctxCreateProc1.getContextCreationResponse();
      assertNotNull(ctxCreateResp);
      IFCoordinationContext coordCtx = ctxCreateProc1.getHeaderResponse();
      assertNotNull(coordCtx);
   }

}
